<?php
if (!defined("IN_FUSION")) { die("Access Denied"); }

define("THEME_BULLET", "<img class='bullet' src='".THEME."images/bullet.gif' alt='bullet.gif' border='0'/>");
define("THEME_WIDTH", "980");

require_once INCLUDES."theme_functions_include.php";

function render_page($license=false) {
	
	global $settings, $main_style, $locale;

	//Header
	echo "<table cellspacing='0' cellpadding='0' width='".THEME_WIDTH."' class='center'>";
	echo "<tr>";
	echo "<td class='full-header'>\n".showbanners()."</td>";
	echo "</tr>\n";
	echo "</table>\n";
	echo "<div class='spacer'></div>";

	echo "<table cellpadding='0' cellspacing='0' width='".THEME_WIDTH."' class='center'>";
	echo "<tr>";
	echo "<td class='sub-header-left'></td>\n";
	echo "<td class='sub-header' align='center'>".showsublinks(" ".THEME_BULLET." ", "white")."</td>\n";
	echo "<td class='sub-header-right'></td>\n";
	echo "</tr>\n";
	echo "</table>\n";

	//Content
	echo "<table cellpadding='0' cellspacing='0' width='".THEME_WIDTH."' class='center'>";
	echo "<tr>";
	if (LEFT) { echo "<td class='side-border-left' valign='top'>".LEFT."</td>"; }
	echo "<td class='main-bg' valign='top'>".U_CENTER.CONTENT.L_CENTER."</td>";
	if (RIGHT) { echo "<td class='side-border-right' valign='top'>".RIGHT."</td>"; }
	echo "</tr>\n";
	echo "</table>\n";
	
	//Footer
	echo "<table cellpadding='0' cellspacing='0' width='".THEME_WIDTH."' class='center'>";
	echo "<tr>";
	echo "<td class='sub-header-left'></td>\n";
	echo "<td align='left' class='sub-header'></td>";
	echo "<td align='right' class='sub-header'>".showcounter()."</td>\n";
	echo "<td class='sub-header-right'></td>\n";
	echo "</tr>\n";
	echo "</table>\n";
	echo "<table cellpadding='0' cellspacing='0' style='width:100%;'>";
	echo "<tr>";
	echo "<td align='center' class='main-footer'>".stripslashes($settings['footer']);
        echo "<br />";
	if (!$license) { echo "\n".showcopyright(); }
	echo "</td>\n";
	echo "</tr>\n";
	echo "</table>\n";

}

function render_news($subject, $news, $info) {

	echo "<table cellpadding='0' cellspacing='0' style='width:100%;'>";
	echo "<tr>";
	echo "<td class='capmain-left'></td>\n";
	echo "<td class='capmain' style='height:30px;'>".$subject."</td>\n";
	echo "<td class='capmain-right'></td>\n";
	echo "</tr>\n";
	echo "</table>\n";
	echo "<table width='100%' cellpadding='0' cellspacing='0'>";
	echo "<tr>";
	echo "<td class='main-body middle-border'>".$news."</td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td align='center' class='news-footer middle-border'>\n";
	echo newsposter($info," &middot;").newsopts($info,"&middot;").itemoptions("N",$info['news_id']);
	echo "</td>\n";
	echo "</tr>\n";
	echo "</table>\n";
	echo "<table cellspacing='0' cellpadding='0'>";
	echo "<tr>";
	echo "<td align='left'><img src='".THEME."/images/centerb-left.png' alt='centerb-left.png' /></td>";
	echo "<td align='center' class='centerb' style='width:100%;height:15px;'></td>";
	echo "<td align='right'><img src='".THEME."/images/centerb-right.png' alt='centerb-right.png' /></td>";
	echo "</tr>\n";
	echo "</table>\n";
	echo "<div class='spacer'></div>";

}

function render_article($subject, $article, $info) {

	echo "<table cellpadding='0' cellspacing='0' style='width:100%;'>";
	echo "<tr>";
	echo "<td class='capmain-left'></td>\n";
	echo "<td class='capmain' style='height:30px;'>".$subject."</td>\n";
	echo "<td class='capmain-right'></td>\n";
	echo "</tr>\n";
	echo "</table>\n";
	echo "<table width='100%' cellpadding='0' cellspacing='0'>\n<tr>\n";
	echo "<td class='main-body middle-border'>".($info['article_breaks'] == "y" ? nl2br($article) : $article)."</td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td align='center' class='news-footer middle-border'>\n";
	echo articleposter($info," &middot;").articleopts($info,"&middot;").itemoptions("A",$info['article_id']);
	echo "</td>\n";
	echo "</tr>\n";
	echo "</table>\n";
	echo "<table cellspacing='0' cellpadding='0'>";
	echo "<tr>";
	echo "<td align='left'><img src='".THEME."/images/centerb-left.png' alt='centerb-left.png' /></td>";
	echo "<td align='center' class='centerb' style='width:100%;height:15px;'></td>";
	echo "<td align='right'><img src='".THEME."/images/centerb-right.png' alt='centerb-right.png' /></td>";
	echo "</tr>\n";
	echo "</table>\n";
	echo "<div class='spacer'></div>";

}

function opentable($title, $collapse = false, $state = "on") {

	global $panel_collapse; $panel_collapse = $collapse;
	
	echo "<table cellpadding='0' cellspacing='0' style='width:100%;'>\n<tr>\n";
	echo "<td class='capmain-left'></td>\n";
	echo "<td align='center' class='capmain' style='height:30px;'>$title</td>\n";
	if ($collapse == true) {
		$boxname = str_replace(" ", "", $title);
		echo "<td class='capmain' align='center' style='width:20px;height:30px;'>".panelbutton($state, $boxname)."</td>\n";
	}
	echo "<td class='capmain-right'></td>\n";
	echo "</tr>\n</table>\n";
	echo "<table cellpadding='0' cellspacing='0' style='width:100%;'>\n<tr>\n";
	echo "<td class='main-body'>\n";	
	if ($collapse == true) { echo panelstate($state, $boxname); }

}

function closetable() {

	global $panel_collapse;

	if ($panel_collapse == true) { echo "</div>\n"; }
	echo "</td>\n";
	echo "</tr>\n</table>\n";
	echo "<table cellspacing='0' cellpadding='0'>";
	echo "<tr>";
	echo "<td align='left'><img src='".THEME."/images/centerb-left.png' alt='centerb-left.png' /></td>";
	echo "<td align='center' class='centerb' style='width:100%;height:15px;'></td>";
	echo "<td align='right'><img src='".THEME."/images/centerb-right.png' alt='centerb-right.png' /></td>";
	echo "</tr>\n";
	echo "</table>\n";
	echo "<div class='spacer'></div>";

}

function openside($title, $collapse = false, $state = "on") {

	global $panel_collapse; $panel_collapse = $collapse;
	
	echo "<table cellpadding='0' cellspacing='0' style='width:100%;'>\n<tr>\n";
	echo "<td align='center' class='scapmain' style='height:30px;'>$title</td>\n";
	if ($collapse == true) {
		$boxname = str_replace(" ", "", $title);
		echo "<td class='panel-button' align='center' style='width:20px;height:30px;'>".panelbutton($state, $boxname)."</td>\n";
	}
	echo "</tr>\n</table>\n";
	echo "<table cellpadding='0' cellspacing='0' style='width:100%;'>\n<tr>\n";
	echo "<td class='side-body'>\n";	
	if ($collapse == true) { echo panelstate($state, $boxname); }

}

function closeside() {
	
	global $panel_collapse;

	if ($panel_collapse == true) { echo "</div>\n"; }
	echo "</td>\n";
	echo "</tr>\n</table>\n";
	echo "<table cellspacing='0' cellpadding='0'>";
	echo "<tr>";
	echo "<td align='center' class='sideb' style='width:185px;height:15px;'></td>";
	echo "</tr>\n";
	echo "</table>\n";
	echo "<div class='spacer'></div>";

}

?>
